Ultrasn0w Unlocking Tool Updated to Work With iPhone 4

Posted on August 4, 2010 by

Version  1.0-1 of Ultrasn0w will work with iPhone 4 baseband 01.59 and iPhone 3GS/3G basebands 04.26.04, 05.11.07, 05.12.01, and 05.13.04.  Just jailbreak your iPhone and add the repo666.ultrasn0w.com repository to Cydia, then install ultrasn0w.


Leave a Reply

You must be logged in to post a comment.